Catalog - Get Table Valued Function
Retrieves the specified table valued function from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tablevaluedfunctions/{tableValuedFunctionName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the table valued function. |
|
schema
|
path | True |
string |
The name of the schema containing the table valued function. |
|
table
|
path | True |
string |
The name of the tableValuedFunction. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the details of the specified table valued function in the specified database and schema. |
Examples
Retrieves the specified table valued function from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo/tablevaluedfunctions/test_table_valued_function_name?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo",
"tvfName": "test_tvf_name",
"definition": "test_definition"
}
Definitions
USqlTableValuedFunction
A Data Lake Analytics catalog U-SQL table valued function item.
| Name | Type | Description |
|---|---|---|
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| definition |
string |
the definition of the table valued function. |
| schemaName |
string |
the name of the schema associated with this database. |
| tvfName |
string |
the name of the table valued function. |
| version |
string (uuid) |
the version of the catalog item. |